Skip to main content
GET
/
v3
/
automations
/
{automation}
/
actions
/
{action}
Read a specific automation action
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/automations/{automation}/actions/{action}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/automations/{automation}/actions/{action}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/automations/{automation}/actions/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "uuid": "<string>",
    "references_id": "<string>",
    "name": "<string>",
    "sort_order": 123,
    "description": "<string>",
    "notes": "<string>",
    "arguments": [
      {
        "name": "<string>",
        "value": "<string>",
        "is_dynamic": "<string>"
      }
    ],
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

automation
integer
required

The automation ID

action
integer
required

The action ID

Response

Action

data
Action · object
required